package com.seer.teach.mp.admin.convert;

import com.seer.teach.mp.admin.controller.req.AgentQueryReq;
import com.seer.teach.mp.admin.controller.req.MpAgentReq;
import com.seer.teach.mp.admin.controller.resp.AgentResp;
import com.seer.teach.mp.entity.MpAgentEntity;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface AgentConvert {

    AgentConvert INSTANCE = Mappers.getMapper(AgentConvert.class);

    AgentResp convertOne(MpAgentEntity entity);

    List<AgentResp> convertRespList(List<MpAgentEntity> list);

    MpAgentEntity convertOne(AgentQueryReq req);

    MpAgentEntity convertOne2Entity(MpAgentReq req);

    AgentQueryReq convertToReq(MpAgentEntity entity);
}